import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'user',
    loadChildren: () => import('../modules/user/user.module').then(m => m.UserModule)
  },
  {
    path: "tree",
    loadChildren: () => import('../modules/tab/tree/tree.module').then(m => m.TreePageModule)
  },
  {
    path: 'bounty-store',
    loadChildren: () => import('../app/bounty-store/bounty-store.module').then(mod => mod.BountyStorePageModule)
  },
  {
    path: 'memo',
    loadChildren: () => import('../app/memo/memo.module').then(m => m.MemoPageModule)
  },
  {
    path: 'ai-chat',
    loadChildren: () => import('./ai-chat/ai-chat.module').then( m => m.AiChatPageModule)
  },


];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
